### Method

# ECal Client get_free_busy_sync

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_free_busy_sync (
      ECalClient* client,
      time_t start,
      time_t end,
      const GSList* users,
      GSList** out_freebusy,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets free/busy information from the calendar server. The `out_freebusy` contains all VFREEBUSY `ECalComponent`-s, which could be also received by “free-busy-data” signal. The client is responsible to do a merge of the components between this complete list and those received through the signal.

Available since: 3.2

#### Parameters

`start`

  Type: `time_t`

  Start time for query.

`end`

  Type: `time_t`

  End time for query.

`users`

  Type: A list of `utf8`

  List of users to retrieve free/busy information for.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`out_freebusy`

  Type: A list of `None`

  A `GSList` of `ECalComponent`-s with overall returned Free/Busy data.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.